{ pkgs ? import <nixpkgs> {} }:

with pkgs;

let
  ticker-update = rustPlatform.buildRustPackage {
    name = "ticker-update";
    src = ./.;
    buildInputs = [
      pkg-config openssl postgresql.lib
      cargo rustc
    ];
    preBuild = "pushd ticker-update";
    postBuild = "popd";
    cargoSha256 = "0igr8k46yl5a89zjymp6914faawcvqza08h6l9pcplpikhbvls42";
  };
in {
  inherit ticker-update;
}
