use std::collections::BTreeMap;
use serde::{Serialize, Deserialize};


#[derive(Debug, PartialEq, Serialize, Deserialize)]
pub struct CalendarOptions {
    pub url: String,
}

#[derive(Debug, PartialEq, Serialize, Deserialize)]
pub struct Config {
    pub db_url: String,
    pub calendars: BTreeMap<String, CalendarOptions>,
}
