{ pkgs ? import <nixpkgs> {} }:

with pkgs;

stdenv.mkDerivation {
  name = "env";
  buildInputs = [
    pkg-config openssl postgresql.lib
    cargo rustc
  ];

  shellHook = ''
    echo "Run 'cargo build --release'"
  '';
}
